<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for LDialPlanTag StructType
 * @subpackage Structs
 */
class LDialPlanTag extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - documentation: Actually called "tag" in database.
     * - base: xsd:string
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The dialPlanName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $dialPlanName;
    /**
     * The operator
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $operator;
    /**
     * The suppressFromRouteFilter
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $suppressFromRouteFilter;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for LDialPlanTag
     * @uses LDialPlanTag::setName()
     * @uses LDialPlanTag::setDialPlanName()
     * @uses LDialPlanTag::setOperator()
     * @uses LDialPlanTag::setSuppressFromRouteFilter()
     * @uses LDialPlanTag::setUuid()
     * @param string $name
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $dialPlanName
     * @param string $operator
     * @param string $suppressFromRouteFilter
     * @param string $uuid
     */
    public function __construct($name = null, \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $dialPlanName = null, $operator = null, $suppressFromRouteFilter = null, $uuid = null)
    {
        $this
            ->setName($name)
            ->setDialPlanName($dialPlanName)
            ->setOperator($operator)
            ->setSuppressFromRouteFilter($suppressFromRouteFilter)
            ->setUuid($uuid);
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LDialPlanTag
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get dialPlanName value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getDialPlanName()
    {
        return $this->dialPlanName;
    }
    /**
     * Set dialPlanName value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $dialPlanName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LDialPlanTag
     */
    public function setDialPlanName(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $dialPlanName = null)
    {
        $this->dialPlanName = $dialPlanName;
        return $this;
    }
    /**
     * Get operator value
     * @return string|null
     */
    public function getOperator()
    {
        return $this->operator;
    }
    /**
     * Set operator value
     * @param string $operator
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LDialPlanTag
     */
    public function setOperator($operator = null)
    {
        $this->operator = $operator;
        return $this;
    }
    /**
     * Get suppressFromRouteFilter value
     * @return string|null
     */
    public function getSuppressFromRouteFilter()
    {
        return $this->suppressFromRouteFilter;
    }
    /**
     * Set suppressFromRouteFilter value
     * @param string $suppressFromRouteFilter
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LDialPlanTag
     */
    public function setSuppressFromRouteFilter($suppressFromRouteFilter = null)
    {
        $this->suppressFromRouteFilter = $suppressFromRouteFilter;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LDialPlanTag
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
